@charset "UTF-8";
/* jsTree default theme */
.jstree-node,
.jstree-children,
.jstree-container-ul {
  display: block;
  margin: 0;
  padding: 0;
  list-style-type: none;
  list-style-image: none;
}

.jstree-node {
  white-space: nowrap;
}

.jstree-anchor {
  display: inline-block;
  color: black;
  white-space: nowrap;
  padding: 0 4px 0 1px;
  margin: 0;
  vertical-align: top;
}

.jstree-anchor:focus {
  outline: 0;
}

.jstree-anchor,
.jstree-anchor:link,
.jstree-anchor:visited,
.jstree-anchor:hover,
.jstree-anchor:active {
  text-decoration: none;
  color: inherit;
}

.jstree-icon {
  display: inline-block;
  text-decoration: none;
  margin: 0;
  padding: 0;
  vertical-align: top;
  text-align: center;
}

.jstree-icon:empty {
  display: inline-block;
  text-decoration: none;
  margin: 0;
  padding: 0;
  vertical-align: top;
  text-align: center;
}

.jstree-ocl {
  cursor: pointer;
}

.jstree-leaf > .jstree-ocl {
  cursor: default;
}

.jstree .jstree-open > .jstree-children {
  display: block;
}

.jstree .jstree-closed > .jstree-children,
.jstree .jstree-leaf > .jstree-children {
  display: none;
}

.jstree-anchor > .jstree-themeicon {
  margin-right: 2px;
}

.jstree-no-icons .jstree-themeicon,
.jstree-anchor > .jstree-themeicon-hidden {
  display: none;
}

.jstree-hidden,
.jstree-node.jstree-hidden {
  display: none;
}

.jstree-rtl .jstree-anchor {
  padding: 0 1px 0 4px;
}

.jstree-rtl .jstree-anchor > .jstree-themeicon {
  margin-left: 2px;
  margin-right: 0;
}

.jstree-rtl .jstree-node {
  margin-left: 0;
}

.jstree-rtl .jstree-container-ul > .jstree-node {
  margin-right: 0;
}

.jstree-wholerow-ul {
  position: relative;
  display: inline-block;
  min-width: 100%;
}

.jstree-wholerow-ul .jstree-leaf > .jstree-ocl {
  cursor: pointer;
}

.jstree-wholerow-ul .jstree-anchor,
.jstree-wholerow-ul .jstree-icon {
  position: relative;
}

.jstree-wholerow-ul .jstree-wholerow {
  width: 100%;
  cursor: pointer;
  position: absolute;
  left: 0;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.jstree-contextmenu .jstree-anchor {
  -webkit-user-select: none;
  /* disable selection/Copy of UIWebView */
  -webkit-touch-callout: none;
  /* disable the IOS popup when long-press on a link */
  user-select: none;
}

.vakata-context {
  display: none;
}

.vakata-context,
.vakata-context ul {
  margin: 0;
  padding: 2px;
  position: absolute;
  background: #f5f5f5;
  border: 1px solid #979797;
  box-shadow: 2px 2px 2px #999999;
}

.vakata-context ul {
  list-style: none;
  left: 100%;
  margin-top: -2.7em;
  margin-left: -4px;
}

.vakata-context .vakata-context-right ul {
  left: auto;
  right: 100%;
  margin-left: auto;
  margin-right: -4px;
}

.vakata-context li {
  list-style: none;
}

.vakata-context li > a {
  display: block;
  padding: 0 2em 0 2em;
  text-decoration: none;
  width: auto;
  color: black;
  white-space: nowrap;
  line-height: 2.4em;
  text-shadow: 1px 1px 0 white;
  border-radius: 1px;
}

.vakata-context li > a:hover {
  position: relative;
  background-color: #e8eff7;
  box-shadow: 0 0 2px #0a6aa1;
}

.vakata-context li > a.vakata-context-parent {
  background-image: url("data:image/gif;base64,R0lGODlhCwAHAIAAACgoKP///yH5BAEAAAEALAAAAAALAAcAAAIORI4JlrqN1oMSnmmZDQUAOw==");
  background-position: right center;
  background-repeat: no-repeat;
}

.vakata-context li > a:focus {
  outline: 0;
}

.vakata-context .vakata-context-no-icons {
  margin-left: 0;
}

.vakata-context .vakata-context-hover > a {
  position: relative;
  background-color: #e8eff7;
  box-shadow: 0 0 2px #0a6aa1;
}

.vakata-context .vakata-context-separator > a,
.vakata-context .vakata-context-separator > a:hover {
  background: white;
  border: 0;
  border-top: 1px solid #e2e3e3;
  height: 1px;
  min-height: 1px;
  max-height: 1px;
  padding: 0;
  margin: 0 0 0 2.4em;
  border-left: 1px solid #e0e0e0;
  text-shadow: 0 0 0 transparent;
  box-shadow: 0 0 0 transparent;
  border-radius: 0;
}

.vakata-context .vakata-contextmenu-disabled a,
.vakata-context .vakata-contextmenu-disabled a:hover {
  color: silver;
  background-color: transparent;
  border: 0;
  box-shadow: 0 0 0;
}

.vakata-context .vakata-contextmenu-disabled > a > i {
  filter: grayscale(100%);
}

.vakata-context li > a > i {
  text-decoration: none;
  display: inline-block;
  width: 2.4em;
  height: 2.4em;
  background: transparent;
  margin: 0 0 0 -2em;
  vertical-align: top;
  text-align: center;
  line-height: 2.4em;
}

.vakata-context li > a > i:empty {
  width: 2.4em;
  line-height: 2.4em;
}

.vakata-context li > a .vakata-contextmenu-sep {
  display: inline-block;
  width: 1px;
  height: 2.4em;
  background: white;
  margin: 0 0.5em 0 0;
  border-left: 1px solid #e2e3e3;
}

.vakata-context .vakata-contextmenu-shortcut {
  font-size: 0.8em;
  color: silver;
  opacity: 0.5;
  display: none;
}

.vakata-context-rtl ul {
  left: auto;
  right: 100%;
  margin-left: auto;
  margin-right: -4px;
}

.vakata-context-rtl li > a.vakata-context-parent {
  background-image: url("data:image/gif;base64,R0lGODlhCwAHAIAAACgoKP///yH5BAEAAAEALAAAAAALAAcAAAINjI+AC7rWHIsPtmoxLAA7");
  background-position: left center;
  background-repeat: no-repeat;
}

.vakata-context-rtl .vakata-context-separator > a {
  margin: 0 2.4em 0 0;
  border-left: 0;
  border-right: 1px solid #e2e3e3;
}

.vakata-context-rtl .vakata-context-left ul {
  right: auto;
  left: 100%;
  margin-left: -4px;
  margin-right: auto;
}

.vakata-context-rtl li > a > i {
  margin: 0 -2em 0 0;
}

.vakata-context-rtl li > a .vakata-contextmenu-sep {
  margin: 0 0 0 0.5em;
  border-left-color: white;
  background: #e2e3e3;
}

#jstree-marker {
  position: absolute;
  top: 0;
  left: 0;
  margin: -5px 0 0 0;
  padding: 0;
  border-right: 0;
  border-top: 5px solid transparent;
  border-bottom: 5px solid transparent;
  border-left: 5px solid;
  width: 0;
  height: 0;
  font-size: 0;
  line-height: 0;
}

#jstree-dnd {
  line-height: 16px;
  margin: 0;
  padding: 4px;
}

#jstree-dnd .jstree-icon,
#jstree-dnd .jstree-copy {
  display: inline-block;
  text-decoration: none;
  margin: 0 2px 0 0;
  padding: 0;
  width: 16px;
  height: 16px;
}

#jstree-dnd .jstree-ok {
  background: green;
}

#jstree-dnd .jstree-er {
  background: red;
}

#jstree-dnd .jstree-copy {
  margin: 0 2px 0 2px;
}

.jstreetable-default .jstree-node,
.jstreetable-default .jstree-icon {
  background-repeat: no-repeat;
  background-color: transparent;
}

.jstreetable-default .jstree-anchor,
.jstreetable-default .jstree-animated,
.jstreetable-default .jstree-wholerow {
  transition: background-color 0.15s, box-shadow 0.15s;
}

.jstreetable-default .jstree-hovered {
  background: #e7f4f9;
  border-radius: 2px;
  box-shadow: inset 0 0 1px #cccccc;
}

.jstreetable-default .jstree-context {
  background: #e7f4f9;
  border-radius: 2px;
  box-shadow: inset 0 0 1px #cccccc;
}

.jstreetable-default .jstree-clicked {
  background: #beebff;
  border-radius: 2px;
  box-shadow: inset 0 0 1px #999999;
}

.jstreetable-default .jstree-no-icons .jstree-anchor > .jstree-themeicon {
  display: none;
}

.jstreetable-default .jstree-disabled {
  background: transparent;
  color: #666666;
}

.jstreetable-default .jstree-disabled.jstree-hovered {
  background: transparent;
  box-shadow: none;
}

.jstreetable-default .jstree-disabled.jstree-clicked {
  background: #efefef;
}

.jstreetable-default .jstree-disabled > .jstree-icon {
  opacity: 0.8;
  filter: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg'><filter id='jstree-grayscale'><feColorMatrix type='matrix' values='0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0'/></filter></svg>#jstree-grayscale");
  /* Firefox 10+ */
  filter: gray;
  /* IE6-9 */
  -webkit-filter: grayscale(100%);
  /* Chrome 19+ & Safari 6+ */
}

.jstreetable-default .jstree-search {
  font-style: italic;
  color: #8b0000;
  font-weight: bold;
}

.jstreetable-default .jstree-no-checkboxes .jstree-checkbox {
  display: none !important;
}

.jstreetable-default.jstree-checkbox-no-clicked .jstree-clicked {
  background: transparent;
  box-shadow: none;
}

.jstreetable-default.jstree-checkbox-no-clicked .jstree-clicked.jstree-hovered {
  background: #e7f4f9;
}

.jstreetable-default.jstree-checkbox-no-clicked > .jstree-wholerow-ul .jstree-wholerow-clicked {
  background: transparent;
}

.jstreetable-default.jstree-checkbox-no-clicked > .jstree-wholerow-ul .jstree-wholerow-clicked.jstree-wholerow-hovered {
  background: #e7f4f9;
}

.jstreetable-default > .jstree-striped {
  min-width: 100%;
  display: inline-block;
  background: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAAkCAMAAAB/qqA+AAAABlBMVEUAAAAAAAClZ7nPAAAAAnRSTlMNAMM9s3UAAAAXSURBVHjajcEBAQAAAIKg/H/aCQZ70AUBjAATb6YPDgAAAABJRU5ErkJggg==") left top repeat;
}

.jstreetable-default > .jstree-wholerow-ul .jstree-hovered,
.jstreetable-default > .jstree-wholerow-ul .jstree-clicked {
  background: transparent;
  box-shadow: none;
  border-radius: 0;
}

.jstreetable-default .jstree-wholerow {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.jstreetable-default .jstree-wholerow-hovered {
  background: #e7f4f9;
}

.jstreetable-default .jstree-wholerow-clicked {
  background: #beebff;
  background: -webkit-linear-gradient(top, #beebff 0%, #a8e4ff 100%);
  background: linear-gradient(to bottom, #beebff 0%, #a8e4ff 100%);
}

.jstreetable-default .jstree-node {
  min-height: 24px;
  line-height: 24px;
  margin-left: 24px;
  min-width: 24px;
}

.jstreetable-default .jstree-anchor {
  line-height: 24px;
  height: 24px;
}

.jstreetable-default .jstree-icon {
  width: 24px;
  height: 24px;
  line-height: 24px;
}

.jstreetable-default .jstree-icon:empty {
  width: 24px;
  height: 24px;
  line-height: 24px;
}

.jstreetable-default.jstree-rtl .jstree-node {
  margin-right: 24px;
}

.jstreetable-default .jstree-wholerow {
  height: 24px;
}

.jstreetable-default .jstree-node {
  background-position: -292px -4px;
  background-repeat: repeat-y;
}

.jstreetable-default .jstree-open > .jstree-ocl {
  background-position: -132px -4px;
}

.jstreetable-default .jstree-closed > .jstree-ocl {
  background-position: -100px -4px;
}

.jstreetable-default .jstree-leaf > .jstree-ocl {
  background-position: -68px -4px;
}

.jstreetable-default .jstree-themeicon {
  background-position: -260px -4px;
}

.jstreetable-default > .jstree-no-dots .jstree-node,
.jstreetable-default > .jstree-no-dots .jstree-leaf > .jstree-ocl {
  background: transparent;
}

.jstreetable-default > .jstree-no-dots .jstree-open > .jstree-ocl {
  background-position: -36px -4px;
}

.jstreetable-default > .jstree-no-dots .jstree-closed > .jstree-ocl {
  background-position: -4px -4px;
}

.jstreetable-default .jstree-disabled {
  background: transparent;
}

.jstreetable-default .jstree-disabled.jstree-hovered {
  background: transparent;
}

.jstreetable-default .jstree-disabled.jstree-clicked {
  background: #efefef;
}

.jstreetable-default .jstree-checkbox {
  background-position: -164px -4px;
}

.jstreetable-default .jstree-checkbox:hover {
  background-position: -164px -36px;
}

.jstreetable-default.jstree-checkbox-selection .jstree-clicked > .jstree-checkbox,
.jstreetable-default .jstree-checked > .jstree-checkbox {
  background-position: -228px -4px;
}

.jstreetable-default.jstree-checkbox-selection .jstree-clicked > .jstree-checkbox:hover,
.jstreetable-default .jstree-checked > .jstree-checkbox:hover {
  background-position: -228px -36px;
}

.jstreetable-default .jstree-anchor > .jstree-undetermined {
  background-position: -196px -4px;
}

.jstreetable-default .jstree-anchor > .jstree-undetermined:hover {
  background-position: -196px -36px;
}

.jstreetable-default .jstree-checkbox-disabled {
  opacity: 0.8;
  filter: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg'><filter id='jstree-grayscale'><feColorMatrix type='matrix' values='0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0'/></filter></svg>#jstree-grayscale");
  /* Firefox 10+ */
  filter: gray;
  /* IE6-9 */
  -webkit-filter: grayscale(100%);
  /* Chrome 19+ & Safari 6+ */
}

.jstreetable-default > .jstree-striped {
  background-size: auto 48px;
}

.jstreetable-default.jstree-rtl .jstree-node {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAACAQMAAAB49I5GAAAABlBMVEUAAAAdHRvEkCwcAAAAAXRSTlMAQObYZgAAAAxJREFUCNdjAAMOBgAAGAAJMwQHdQAAAABJRU5ErkJggg==");
  background-position: 100% 1px;
  background-repeat: repeat-y;
}

.jstreetable-default.jstree-rtl .jstree-last {
  background-image: none;
}

.jstreetable-default.jstree-rtl .jstree-open > .jstree-ocl {
  background-position: -132px -36px;
}

.jstreetable-default.jstree-rtl .jstree-closed > .jstree-ocl {
  background-position: -100px -36px;
}

.jstreetable-default.jstree-rtl .jstree-leaf > .jstree-ocl {
  background-position: -68px -36px;
}

.jstreetable-default.jstree-rtl > .jstree-no-dots .jstree-node,
.jstreetable-default.jstree-rtl > .jstree-no-dots .jstree-leaf > .jstree-ocl {
  background: transparent;
}

.jstreetable-default.jstree-rtl > .jstree-no-dots .jstree-open > .jstree-ocl {
  background-position: -36px -36px;
}

.jstreetable-default.jstree-rtl > .jstree-no-dots .jstree-closed > .jstree-ocl {
  background-position: -4px -36px;
}

.jstreetable-default .jstree-themeicon-custom {
  background-color: transparent;
  background-image: none;
  background-position: 0 0;
}

.jstreetable-default > .jstree-container-ul .jstree-loading > .jstree-ocl {
  background: url("throbber.gif") center center no-repeat;
}

.jstreetable-default .jstree-file {
  background: url("../images/32px.png") -100px -68px no-repeat;
}

.jstreetable-default .jstree-folder {
  background: url("../images/32px.png") -260px -4px no-repeat;
}

.jstreetable-default > .jstree-container-ul > .jstree-node {
  margin-left: 0;
  margin-right: 0;
}

#jstree-dnd.jstreetable-default {
  line-height: 24px;
  padding: 0 4px;
}

#jstree-dnd.jstreetable-default .jstree-ok,
#jstree-dnd.jstreetable-default .jstree-er {
  background-image: url("../images/32px.png");
  background-repeat: no-repeat;
  background-color: transparent;
}

#jstree-dnd.jstreetable-default i {
  background: transparent;
  width: 24px;
  height: 24px;
  line-height: 24px;
}

#jstree-dnd.jstreetable-default .jstree-ok {
  background-position: -4px -68px;
}

#jstree-dnd.jstreetable-default .jstree-er {
  background-position: -36px -68px;
}

.jstreetable-default .jstree-ellipsis {
  overflow: hidden;
}

.jstreetable-default .jstree-ellipsis .jstree-anchor {
  width: calc(100% - 24px + 5px);
  text-overflow: ellipsis;
  overflow: hidden;
}

.jstreetable-default.jstree-rtl .jstree-node {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAACAQMAAAB49I5GAAAABlBMVEUAAAAdHRvEkCwcAAAAAXRSTlMAQObYZgAAAAxJREFUCNdjAAMOBgAAGAAJMwQHdQAAAABJRU5ErkJggg==");
}

.jstreetable-default.jstree-rtl .jstree-last {
  background-image: none;
}

.jstreetable-default-small .jstree-node {
  min-height: 18px;
  line-height: 18px;
  margin-left: 18px;
  min-width: 18px;
}

.jstreetable-default-small .jstree-anchor {
  line-height: 18px;
  height: 18px;
}

.jstreetable-default-small .jstree-icon {
  width: 18px;
  height: 18px;
  line-height: 18px;
}

.jstreetable-default-small .jstree-icon:empty {
  width: 18px;
  height: 18px;
  line-height: 18px;
}

.jstreetable-default-small.jstree-rtl .jstree-node {
  margin-right: 18px;
}

.jstreetable-default-small .jstree-wholerow {
  height: 18px;
}

.jstreetable-default-small .jstree-node,
.jstreetable-default-small .jstree-icon {
  background-image: url("../images/32px.png");
}

.jstreetable-default-small .jstree-node {
  background-position: -295px -7px;
  background-repeat: repeat-y;
}

.jstreetable-default-small .jstree-last {
  background-image: none;
}

.jstreetable-default-small .jstree-open > .jstree-ocl {
  background-position: -135px -7px;
}

.jstreetable-default-small .jstree-closed > .jstree-ocl {
  background-position: -103px -7px;
}

.jstreetable-default-small .jstree-leaf > .jstree-ocl {
  background-position: -71px -7px;
}

.jstreetable-default-small .jstree-themeicon {
  background-position: -263px -7px;
}

.jstreetable-default-small > .jstree-no-dots .jstree-node,
.jstreetable-default-small > .jstree-no-dots .jstree-leaf > .jstree-ocl {
  background: transparent;
}

.jstreetable-default-small > .jstree-no-dots .jstree-open > .jstree-ocl {
  background-position: -39px -7px;
}

.jstreetable-default-small > .jstree-no-dots .jstree-closed > .jstree-ocl {
  background-position: -7px -7px;
}

.jstreetable-default-small .jstree-disabled {
  background: transparent;
}

.jstreetable-default-small .jstree-disabled.jstree-hovered {
  background: transparent;
}

.jstreetable-default-small .jstree-disabled.jstree-clicked {
  background: #efefef;
}

.jstreetable-default-small .jstree-checkbox {
  background-position: -167px -7px;
}

.jstreetable-default-small .jstree-checkbox:hover {
  background-position: -167px -39px;
}

.jstreetable-default-small.jstree-checkbox-selection .jstree-clicked > .jstree-checkbox,
.jstreetable-default-small .jstree-checked > .jstree-checkbox {
  background-position: -231px -7px;
}

.jstreetable-default-small.jstree-checkbox-selection .jstree-clicked > .jstree-checkbox:hover,
.jstreetable-default-small .jstree-checked > .jstree-checkbox:hover {
  background-position: -231px -39px;
}

.jstreetable-default-small .jstree-anchor > .jstree-undetermined {
  background-position: -199px -7px;
}

.jstreetable-default-small .jstree-anchor > .jstree-undetermined:hover {
  background-position: -199px -39px;
}

.jstreetable-default-small .jstree-checkbox-disabled {
  opacity: 0.8;
  filter: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg'><filter id='jstree-grayscale'><feColorMatrix type='matrix' values='0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0'/></filter></svg>#jstree-grayscale");
  /* Firefox 10+ */
  filter: gray;
  /* IE6-9 */
  -webkit-filter: grayscale(100%);
  /* Chrome 19+ & Safari 6+ */
}

.jstreetable-default-small > .jstree-striped {
  background-size: auto 36px;
}

.jstreetable-default-small.jstree-rtl .jstree-node {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAACAQMAAAB49I5GAAAABlBMVEUAAAAdHRvEkCwcAAAAAXRSTlMAQObYZgAAAAxJREFUCNdjAAMOBgAAGAAJMwQHdQAAAABJRU5ErkJggg==");
  background-position: 100% 1px;
  background-repeat: repeat-y;
}

.jstreetable-default-small.jstree-rtl .jstree-last {
  background-image: none;
}

.jstreetable-default-small.jstree-rtl .jstree-open > .jstree-ocl {
  background-position: -135px -39px;
}

.jstreetable-default-small.jstree-rtl .jstree-closed > .jstree-ocl {
  background-position: -103px -39px;
}

.jstreetable-default-small.jstree-rtl .jstree-leaf > .jstree-ocl {
  background-position: -71px -39px;
}

.jstreetable-default-small.jstree-rtl > .jstree-no-dots .jstree-node,
.jstreetable-default-small.jstree-rtl > .jstree-no-dots .jstree-leaf > .jstree-ocl {
  background: transparent;
}

.jstreetable-default-small.jstree-rtl > .jstree-no-dots .jstree-open > .jstree-ocl {
  background-position: -39px -39px;
}

.jstreetable-default-small.jstree-rtl > .jstree-no-dots .jstree-closed > .jstree-ocl {
  background-position: -7px -39px;
}

.jstreetable-default-small .jstree-themeicon-custom {
  background-color: transparent;
  background-image: none;
  background-position: 0 0;
}

.jstreetable-default-small > .jstree-container-ul .jstree-loading > .jstree-ocl {
  background: url("throbber.gif") center center no-repeat;
}

.jstreetable-default-small .jstree-file {
  background: url("../images/32px.png") -103px -71px no-repeat;
}

.jstreetable-default-small .jstree-folder {
  background: url("../images/32px.png") -263px -7px no-repeat;
}

.jstreetable-default-small > .jstree-container-ul > .jstree-node {
  margin-left: 0;
  margin-right: 0;
}

#jstree-dnd.jstreetable-default-small {
  line-height: 18px;
  padding: 0 4px;
}

#jstree-dnd.jstreetable-default-small .jstree-ok,
#jstree-dnd.jstreetable-default-small .jstree-er {
  background-image: url("../images/32px.png");
  background-repeat: no-repeat;
  background-color: transparent;
}

#jstree-dnd.jstreetable-default-small i {
  background: transparent;
  width: 18px;
  height: 18px;
  line-height: 18px;
}

#jstree-dnd.jstreetable-default-small .jstree-ok {
  background-position: -7px -71px;
}

#jstree-dnd.jstreetable-default-small .jstree-er {
  background-position: -39px -71px;
}

.jstreetable-default-small .jstree-ellipsis {
  overflow: hidden;
}

.jstreetable-default-small .jstree-ellipsis .jstree-anchor {
  width: calc(100% - 18px + 5px);
  text-overflow: ellipsis;
  overflow: hidden;
}

.jstreetable-default-small.jstree-rtl .jstree-node {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABIAAAACAQMAAABv1h6PAAAABlBMVEUAAAAdHRvEkCwcAAAAAXRSTlMAQObYZgAAAAxJREFUCNdjAAMHBgAAiABBI4gz9AAAAABJRU5ErkJggg==");
}

.jstreetable-default-small.jstree-rtl .jstree-last {
  background-image: none;
}

.jstreetable-default-large .jstree-node {
  min-height: 32px;
  line-height: 32px;
  margin-left: 32px;
  min-width: 32px;
}

.jstreetable-default-large .jstree-anchor {
  line-height: 32px;
  height: 32px;
}

.jstreetable-default-large .jstree-icon {
  width: 32px;
  height: 32px;
  line-height: 32px;
}

.jstreetable-default-large .jstree-icon:empty {
  width: 32px;
  height: 32px;
  line-height: 32px;
}

.jstreetable-default-large.jstree-rtl .jstree-node {
  margin-right: 32px;
}

.jstreetable-default-large .jstree-wholerow {
  height: 32px;
}

.jstreetable-default-large .jstree-node,
.jstreetable-default-large .jstree-icon {
  background-image: url("../images/32px.png");
}

.jstreetable-default-large .jstree-node {
  background-position: -288px 0px;
  background-repeat: repeat-y;
}

.jstreetable-default-large .jstree-last {
  background-image: none;
}

.jstreetable-default-large .jstree-open > .jstree-ocl {
  background-position: -128px 0px;
}

.jstreetable-default-large .jstree-closed > .jstree-ocl {
  background-position: -96px 0px;
}

.jstreetable-default-large .jstree-leaf > .jstree-ocl {
  background-position: -64px 0px;
}

.jstreetable-default-large .jstree-themeicon {
  background-position: -256px 0px;
}

.jstreetable-default-large > .jstree-no-dots .jstree-node,
.jstreetable-default-large > .jstree-no-dots .jstree-leaf > .jstree-ocl {
  background: transparent;
}

.jstreetable-default-large > .jstree-no-dots .jstree-open > .jstree-ocl {
  background-position: -32px 0px;
}

.jstreetable-default-large > .jstree-no-dots .jstree-closed > .jstree-ocl {
  background-position: 0px 0px;
}

.jstreetable-default-large .jstree-disabled {
  background: transparent;
}

.jstreetable-default-large .jstree-disabled.jstree-hovered {
  background: transparent;
}

.jstreetable-default-large .jstree-disabled.jstree-clicked {
  background: #efefef;
}

.jstreetable-default-large .jstree-checkbox {
  background-position: -160px 0px;
}

.jstreetable-default-large .jstree-checkbox:hover {
  background-position: -160px -32px;
}

.jstreetable-default-large.jstree-checkbox-selection .jstree-clicked > .jstree-checkbox,
.jstreetable-default-large .jstree-checked > .jstree-checkbox {
  background-position: -224px 0px;
}

.jstreetable-default-large.jstree-checkbox-selection .jstree-clicked > .jstree-checkbox:hover,
.jstreetable-default-large .jstree-checked > .jstree-checkbox:hover {
  background-position: -224px -32px;
}

.jstreetable-default-large .jstree-anchor > .jstree-undetermined {
  background-position: -192px 0px;
}

.jstreetable-default-large .jstree-anchor > .jstree-undetermined:hover {
  background-position: -192px -32px;
}

.jstreetable-default-large .jstree-checkbox-disabled {
  opacity: 0.8;
  filter: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg'><filter id='jstree-grayscale'><feColorMatrix type='matrix' values='0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0'/></filter></svg>#jstree-grayscale");
  /* Firefox 10+ */
  filter: gray;
  /* IE6-9 */
  -webkit-filter: grayscale(100%);
  /* Chrome 19+ & Safari 6+ */
}

.jstreetable-default-large > .jstree-striped {
  background-size: auto 64px;
}

.jstreetable-default-large.jstree-rtl .jstree-node {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAACAQMAAAB49I5GAAAABlBMVEUAAAAdHRvEkCwcAAAAAXRSTlMAQObYZgAAAAxJREFUCNdjAAMOBgAAGAAJMwQHdQAAAABJRU5ErkJggg==");
  background-position: 100% 1px;
  background-repeat: repeat-y;
}

.jstreetable-default-large.jstree-rtl .jstree-last {
  background-image: none;
}

.jstreetable-default-large.jstree-rtl .jstree-open > .jstree-ocl {
  background-position: -128px -32px;
}

.jstreetable-default-large.jstree-rtl .jstree-closed > .jstree-ocl {
  background-position: -96px -32px;
}

.jstreetable-default-large.jstree-rtl .jstree-leaf > .jstree-ocl {
  background-position: -64px -32px;
}

.jstreetable-default-large.jstree-rtl > .jstree-no-dots .jstree-node,
.jstreetable-default-large.jstree-rtl > .jstree-no-dots .jstree-leaf > .jstree-ocl {
  background: transparent;
}

.jstreetable-default-large.jstree-rtl > .jstree-no-dots .jstree-open > .jstree-ocl {
  background-position: -32px -32px;
}

.jstreetable-default-large.jstree-rtl > .jstree-no-dots .jstree-closed > .jstree-ocl {
  background-position: 0px -32px;
}

.jstreetable-default-large .jstree-themeicon-custom {
  background-color: transparent;
  background-image: none;
  background-position: 0 0;
}

.jstreetable-default-large > .jstree-container-ul .jstree-loading > .jstree-ocl {
  background: url("throbber.gif") center center no-repeat;
}

.jstreetable-default-large .jstree-file {
  background: url("../images/32px.png") -96px -64px no-repeat;
}

.jstreetable-default-large .jstree-folder {
  background: url("../images/32px.png") -256px 0px no-repeat;
}

.jstreetable-default-large > .jstree-container-ul > .jstree-node {
  margin-left: 0;
  margin-right: 0;
}

#jstree-dnd.jstreetable-default-large {
  line-height: 32px;
  padding: 0 4px;
}

#jstree-dnd.jstreetable-default-large .jstree-ok,
#jstree-dnd.jstreetable-default-large .jstree-er {
  background-image: url("../images/32px.png");
  background-repeat: no-repeat;
  background-color: transparent;
}

#jstree-dnd.jstreetable-default-large i {
  background: transparent;
  width: 32px;
  height: 32px;
  line-height: 32px;
}

#jstree-dnd.jstreetable-default-large .jstree-ok {
  background-position: 0px -64px;
}

#jstree-dnd.jstreetable-default-large .jstree-er {
  background-position: -32px -64px;
}

.jstreetable-default-large .jstree-ellipsis {
  overflow: hidden;
}

.jstreetable-default-large .jstree-ellipsis .jstree-anchor {
  width: calc(100% - 32px + 5px);
  text-overflow: ellipsis;
  overflow: hidden;
}

.jstreetable-default-large.jstree-rtl .jstree-node {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACAAAAACAQMAAAAD0EyKAAAABlBMVEUAAAAdHRvEkCwcAAAAAXRSTlMAQObYZgAAAAxJREFUCNdjgIIGBgABCgCBvVLXcAAAAABJRU5ErkJggg==");
}

.jstreetable-default-large.jstree-rtl .jstree-last {
  background-image: none;
}

@media (max-width: 768px) {
  #jstree-dnd.jstree-dnd-responsive {
    line-height: 40px;
    font-weight: bold;
    font-size: 1.1em;
    text-shadow: 1px 1px white;
  }
  #jstree-dnd.jstree-dnd-responsive > i {
    background: transparent;
    width: 40px;
    height: 40px;
  }
  #jstree-dnd.jstree-dnd-responsive > .jstree-ok {
    background-image: url("40px.png");
    background-position: 0 -200px;
    background-size: 120px 240px;
  }
  #jstree-dnd.jstree-dnd-responsive > .jstree-er {
    background-image: url("40px.png");
    background-position: -40px -200px;
    background-size: 120px 240px;
  }
  #jstree-marker.jstree-dnd-responsive {
    border-left-width: 10px;
    border-top-width: 10px;
    border-bottom-width: 10px;
    margin-top: -10px;
  }
}
@media (max-width: 768px) {
  .jstreetable-default-responsive {
    /*
    .jstree-open > .jstree-ocl,
    .jstree-closed > .jstree-ocl { border-radius:20px; background-color:white; }
    */
  }
  .jstreetable-default-responsive .jstree-icon {
    background-image: url("40px.png");
  }
  .jstreetable-default-responsive .jstree-node,
  .jstreetable-default-responsive .jstree-leaf > .jstree-ocl {
    background: transparent;
  }
  .jstreetable-default-responsive .jstree-node {
    min-height: 40px;
    line-height: 40px;
    margin-left: 40px;
    min-width: 40px;
    white-space: nowrap;
  }
  .jstreetable-default-responsive .jstree-anchor {
    line-height: 40px;
    height: 40px;
  }
  .jstreetable-default-responsive .jstree-icon,
  .jstreetable-default-responsive .jstree-icon:empty {
    width: 40px;
    height: 40px;
    line-height: 40px;
  }
  .jstreetable-default-responsive > .jstree-container-ul > .jstree-node {
    margin-left: 0;
  }
  .jstreetable-default-responsive.jstree-rtl .jstree-node {
    margin-left: 0;
    margin-right: 40px;
    background: transparent;
  }
  .jstreetable-default-responsive.jstree-rtl .jstree-container-ul > .jstree-node {
    margin-right: 0;
  }
  .jstreetable-default-responsive .jstree-ocl,
  .jstreetable-default-responsive .jstree-themeicon,
  .jstreetable-default-responsive .jstree-checkbox {
    background-size: 120px 240px;
  }
  .jstreetable-default-responsive .jstree-leaf > .jstree-ocl,
  .jstreetable-default-responsive.jstree-rtl .jstree-leaf > .jstree-ocl {
    background: transparent;
  }
  .jstreetable-default-responsive .jstree-open > .jstree-ocl {
    background-position: 0 0 !important;
  }
  .jstreetable-default-responsive .jstree-closed > .jstree-ocl {
    background-position: 0 -40px !important;
  }
  .jstreetable-default-responsive.jstree-rtl .jstree-closed > .jstree-ocl {
    background-position: -40px 0 !important;
  }
  .jstreetable-default-responsive .jstree-themeicon {
    background-position: -40px -40px;
  }
  .jstreetable-default-responsive .jstree-checkbox,
  .jstreetable-default-responsive .jstree-checkbox:hover {
    background-position: -40px -80px;
  }
  .jstreetable-default-responsive.jstree-checkbox-selection .jstree-clicked > .jstree-checkbox,
  .jstreetable-default-responsive.jstree-checkbox-selection .jstree-clicked > .jstree-checkbox:hover,
  .jstreetable-default-responsive .jstree-checked > .jstree-checkbox,
  .jstreetable-default-responsive .jstree-checked > .jstree-checkbox:hover {
    background-position: 0 -80px;
  }
  .jstreetable-default-responsive .jstree-anchor > .jstree-undetermined,
  .jstreetable-default-responsive .jstree-anchor > .jstree-undetermined:hover {
    background-position: 0 -120px;
  }
  .jstreetable-default-responsive .jstree-anchor {
    font-weight: bold;
    font-size: 1.1em;
    text-shadow: 1px 1px white;
  }
  .jstreetable-default-responsive > .jstree-striped {
    background: transparent;
  }
  .jstreetable-default-responsive .jstree-wholerow {
    border-top: 1px solid rgba(255, 255, 255, 0.7);
    border-bottom: 1px solid rgba(64, 64, 64, 0.2);
    background: #ebebeb;
    height: 40px;
  }
  .jstreetable-default-responsive .jstree-wholerow-hovered {
    background: #e7f4f9;
  }
  .jstreetable-default-responsive .jstree-wholerow-clicked {
    background: #beebff;
  }
  .jstreetable-default-responsive .jstree-children .jstree-last > .jstree-wholerow {
    box-shadow: inset 0 -6px 3px -5px #666666;
  }
  .jstreetable-default-responsive .jstree-children .jstree-open > .jstree-wholerow {
    box-shadow: inset 0 6px 3px -5px #666666;
    border-top: 0;
  }
  .jstreetable-default-responsive .jstree-children .jstree-open + .jstree-open {
    box-shadow: none;
  }
  .jstreetable-default-responsive .jstree-node,
  .jstreetable-default-responsive .jstree-icon,
  .jstreetable-default-responsive .jstree-node > .jstree-ocl,
  .jstreetable-default-responsive .jstree-themeicon,
  .jstreetable-default-responsive .jstree-checkbox {
    background-image: url("40px.png");
    background-size: 120px 240px;
  }
  .jstreetable-default-responsive .jstree-node {
    background-position: -80px 0;
    background-repeat: repeat-y;
  }
  .jstreetable-default-responsive .jstree-last {
    background-image: none;
  }
  .jstreetable-default-responsive .jstree-leaf > .jstree-ocl {
    background-position: -40px -120px;
  }
  .jstreetable-default-responsive .jstree-last > .jstree-ocl {
    background-position: -40px -160px;
  }
  .jstreetable-default-responsive .jstree-themeicon-custom {
    background-color: transparent;
    background-image: none;
    background-position: 0 0;
  }
  .jstreetable-default-responsive .jstree-file {
    background: url("40px.png") 0 -160px no-repeat;
    background-size: 120px 240px;
  }
  .jstreetable-default-responsive .jstree-folder {
    background: url("40px.png") -40px -40px no-repeat;
    background-size: 120px 240px;
  }
  .jstreetable-default-responsive > .jstree-container-ul > .jstree-node {
    margin-left: 0;
    margin-right: 0;
  }
}
@media (max-width: 767px) {
  .filter-section-flex-row {
    align-items: flex-start;
  }
  .filter-section-left {
    align-items: center;
  }
}
.multiselect-dropdown {
  display: inline-block;
  padding: 2px 5px 0px 5px;
  border-radius: 4px;
  border: solid 1px #ced4da;
  background-color: white;
  position: relative;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right 0.75rem center;
  background-size: 16px 12px;
}

.multiselect-dropdown span.optext,
.multiselect-dropdown span.placeholder {
  margin-right: 0.5em;
  margin-bottom: 2px;
  padding: 1px 0;
  border-radius: 4px;
  display: inline-block;
}

.multiselect-dropdown span.optext {
  background-color: lightgray;
  padding: 1px 0.75em;
}

.multiselect-dropdown span.optext .optdel {
  float: right;
  margin: 0 -6px 1px 5px;
  font-size: 0.7em;
  margin-top: 2px;
  cursor: pointer;
  color: #666;
}

.multiselect-dropdown span.optext .optdel:hover {
  color: #c66;
}

.multiselect-dropdown span.placeholder {
  color: #ced4da;
}

.multiselect-dropdown-list-wrapper {
  box-shadow: gray 0 3px 8px;
  z-index: 100;
  padding: 10px;
  border-radius: 4px;
  border: solid 1px #ced4da;
  display: none;
  margin: -1px;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  background: white;
}

.multiselect-dropdown-list-wrapper .multiselect-dropdown-search {
  margin-bottom: 5px;
}

.multiselect-dropdown-list {
  padding: 2px;
  height: 15rem;
  overflow-y: auto;
  overflow-x: hidden;
}

.multiselect-dropdown-list::-webkit-scrollbar {
  width: 6px;
}

.multiselect-dropdown-list::-webkit-scrollbar-thumb {
  background-color: #bec4ca;
  border-radius: 3px;
}

.multiselect-dropdown-list div {
  padding: 5px;
}

.multiselect-dropdown-list input {
  height: 1.15em;
  width: 1.15em;
  margin-right: 0.35em;
}

.multiselect-dropdown span.maxselected {
  width: 100%;
}

.multiselect-dropdown-all-selector {
  border-bottom: solid 1px #eee;
}

.ct-checkbox {
  display: block;
  position: relative;
  cursor: pointer;
  font-size: 14px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.ct-checkbox label {
  padding-left: 20px;
  margin-bottom: 0;
}

.ct-checkbox input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.checkmark {
  position: absolute;
  top: 50%;
  left: 5px;
  height: 15px;
  width: 15px;
  transform: translateY(-50%);
  background-color: transparent;
  border: 1px solid #298c29;
}

.ct-checkbox:hover input ~ .checkmark {
  background-color: #fff;
}

.ct-checkbox input:checked ~ .checkmark {
  background-color: #298c29;
}

.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

.ct-checkbox input:checked ~ .checkmark:after {
  display: block;
}

.ct-checkbox .checkmark:after {
  left: 4px;
  top: 1px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 2px 2px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.jstreetable-default tbody tr td:has(.tree-table-space-block) {
  padding: 0 !important;
  vertical-align: middle;
}

.tree-table th {
  color: #333;
  text-align: center;
  padding: 12px 0;
  background: #fafafa;
  font-size: 14px;
  border: 1px solid #f1f1f1;
}
@media (max-width: 767px) {
  .tree-table th {
    font-size: 12px;
  }
}

.tree-table td {
  border: 1px solid #f1f1f1;
  font-size: 14px;
  color: #333;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}
@media (max-width: 767px) {
  .tree-table td {
    font-size: 10px;
  }
}

.tree-table tr td:first-child {
  overflow: initial;
}

.tree-wrapper {
  table-layout: fixed;
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0;
  display: flex;
}
@media (max-width: 767px) {
  .tree-wrapper {
    overflow: hidden;
  }
}
.tree-wrapper span.content {
  padding: 3px 5px !important;
  display: table-cell;
  white-space: nowrap;
  display: flex;
  align-items: center;
  flex: 0 0 auto;
}

.tree-table-space-block {
  display: table-cell;
  width: 20px;
  line-height: 16px;
  text-align: center;
  vertical-align: middle;
  font-size: 19px;
  position: relative;
  box-sizing: border-box;
  border-radius: 50%;
  flex: 0 0 var(--indent, 20px);
}
@media (max-width: 767px) {
  .tree-table-space-block {
    width: 10px;
    flex: 0 0 var(--indent, 10px);
  }
}

.tree-table-space-block.btn-toggle {
  position: relative;
  cursor: pointer;
  z-index: 12;
  width: 24px;
  height: 100%;
  line-height: 24px;
  background-position: center;
  background-repeat: no-repeat;
  flex: 0 0 var(--indent, 24px);
}
@media (max-width: 767px) {
  .tree-table-space-block.btn-toggle {
    width: 14px;
    flex: 0 0 var(--indent, 14px);
  }
}
.tree-table-space-block.btn-toggle.is-last:before {
  position: absolute;
  content: "";
  width: unset;
  height: 1px;
  top: 50%;
  margin-top: -1px;
  left: -10px;
  right: 14px;
  background-repeat: repeat-x;
  background-image: url(../images/tree-iline-horizontal.png);
}
@media (max-width: 767px) {
  .tree-table-space-block.btn-toggle.is-last:before {
    left: -5px;
    right: 9px;
  }
}
.tree-table-space-block.btn-toggle > i {
  position: absolute;
  bottom: 0;
  left: -2px;
  width: 100%;
  height: 50%;
  background-image: url("../images/tree-iline-vertical.png");
  background-repeat: repeat-y;
  background-position: center top;
  background-size: auto;
  pointer-events: none;
}
.tree-table-space-block.btn-toggle.jstree-iclose > i {
  height: 0;
}

.tree-table-space-block.jstree-iopen {
  background-image: url(../images/tree-iopen.png);
}

.tree-table-space-block.jstree-iclose {
  background-image: url(../images/tree-iclose.png);
}

.tree-table-space-block.btn-toggle.is-close {
  background: #f1f1f1;
  border: 1px solid transparent;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}

.tree-table-space-block:before {
  position: absolute;
  content: "";
  width: 1px;
  left: 50%;
  top: 0;
  bottom: 0;
  background-repeat: repeat-y;
  background-image: url(../images/tree-iline-vertical.png);
}
.tree-table-space-block.jstree-last::before {
  bottom: 50%;
}

.tree-table-space-block.horizontal-line:not(.is-last):after {
  position: absolute;
  content: "";
  height: 1px;
  top: 50%;
  margin-top: -1px;
  left: 10px;
  right: -10px;
  background-repeat: repeat-x;
  background-image: url(../images/tree-iline-horizontal.png);
}

.tree-table-space-block.is-last:after {
  position: absolute;
  content: "";
  height: 1px;
  top: 50%;
  margin-top: -1px;
  left: -10px;
  right: 0;
  background-repeat: repeat-x;
  background-image: url(../images/tree-iline-horizontal.png);
}
@media (max-width: 767px) {
  .tree-table-space-block.is-last:after {
    left: -5px;
    right: 0;
  }
}
.tree-table-space-block.is-last:after.jstree-last::before {
  bottom: 50%;
}

.tree-table-space-block.jstree-last.last-line:after {
  position: absolute;
  content: "";
  height: 1px;
  top: 50%;
  margin-top: -1px;
  left: 9px;
  right: -9px;
  background-repeat: repeat-x;
  background-image: url(../images/tree-iline-horizontal.png);
}

.tree-table-space-block.btn-toggle.is-first:before {
  display: none;
}

.tree-table-space-block.is-last:not(.btn-toggle):before {
  display: none;
}

.tree-table-space-block.btn-toggle:after {
  display: none;
}

span.tree-table-space-block:not(.is-first):has(+ span.tree-table-space-block.jstree-iclose:not(.is-first)):before {
  bottom: 50%;
}

.tree-table-td-content {
  display: inline-block;
  padding: 7px;
}

.hidden {
  display: none;
}

.show {
  visibility: visible;
}

.jstreetable-default tbody td:first-child span.country {
  padding: 3px 5px !important;
  text-align: left;
  text-transform: uppercase;
  color: #333;
  width: calc(100% - 24px);
  display: flex;
  align-items: center;
}

.form-control:focus {
  border-color: #eee !important;
}

.multiselect-dropdown-list-thinha div label {
  font-weight: 500;
  color: #000;
  padding-left: 25px;
}

.multiselect-dropdown-list-thinha div:hover {
  background-color: #298c29;
}
.multiselect-dropdown-list-thinha div:hover label {
  color: #fff;
}
.multiselect-dropdown-list-thinha div:hover .checkmark {
  border-color: #fff;
}

.multiselect-dropdown-list-thinha .ct-checkbox {
  padding: 5px 0;
}

.jstreetable-default table.tree-table tbody td {
  vertical-align: top;
  white-space: nowrap;
  padding: 3px 5px !important;
  position: relative;
}

.jstreetable-default table.tree-table thead th:first-child {
  width: 250px;
}
@media (max-width: 767px) {
  .jstreetable-default table.tree-table thead th:first-child {
    width: 100px;
  }
}

.jstreetable-default table.tree-table thead th {
  white-space: nowrap;
}

.jstreetable-default table.tree-table {
  width: 100%;
  min-width: 991px;
}
@media (max-width: 767px) {
  .jstreetable-default table.tree-table {
    min-width: 400px;
  }
}

.jstreetable-default table.tree-table tbody td:first-child,
.jstreetable-default table.tree-table thead th:first-child,
.jstreetable-default table.tree-table tfoot th:first-child {
  position: sticky;
  min-width: 250px;
  background: #fff;
  left: 0;
  z-index: 1;
}
@media (max-width: 767px) {
  .jstreetable-default table.tree-table tbody td:first-child,
  .jstreetable-default table.tree-table thead th:first-child,
  .jstreetable-default table.tree-table tfoot th:first-child {
    min-width: 150px;
  }
}

.jstreetable-default table.tree-table thead th:first-child {
  background-color: #eee;
}

/* Nhóm lẻ: thứ 2, 4, 6, ... */
/* .jstreetable-default table.tree-table thead tr:first-child th:nth-child(odd):not(:first-child) {
        background-color: #fcfcfc;
    } */
/* Nhóm chẵn: thứ 3, 5, 7, ... */
/* .jstreetable-default table.tree-table thead tr:first-child th:nth-child(even):not(:first-child) {
    background-color: #fff;
    } */
.jstreetable-default table thead th {
  background-color: #eee;
}

.jstreetable-default table.tree-table thead th.title_1 {
  text-align: left;
}

.jstreetable-default table.dataTable thead th {
  padding: 6px 10px !important;
}

.jstreetable-default table.tree-table thead th:nth-child(3n+2),
.jstreetable-default table.tree-table thead th:nth-child(3n+4),
.jstreetable-default table.tree-table thead th:nth-child(3n+3) {
  text-align: right;
}

.jstreetable-default table.tree-table tbody td:nth-child(3n+2),
.jstreetable-default table.tree-table tbody td:nth-child(3n+3),
.jstreetable-default table.tree-table tbody td:nth-child(3n+4) {
  background-color: #fff;
  /* Group (td[2]–[4]),Group 3 (td[8]–[10]), ... */
}

.jstreetable-default table.tree-table thead th:nth-child(6n+5),
.jstreetable-default table.tree-table thead th:nth-child(6n+6),
.jstreetable-default table.tree-table thead th:nth-child(6n+7) {
  text-align: right;
}

.jstreetable-default table.tree-table tbody td:nth-child(6n+5),
.jstreetable-default table.tree-table tbody td:nth-child(6n+6),
.jstreetable-default table.tree-table tbody td:nth-child(6n+7) {
  background-color: #f9f9f9;
  /* Group 2 (td[5]–[7]), Group 4 (td[11]–[13]), ... */
}

.jstreetable-default table.tree-table tbody td {
  border: 0.5px solid #f2f2f2;
}

.jstreetable-default table.tree-table tbody td:first-child:has(.no-padding),
.jstreetable-default table.tree-table tbody td:first-child:has([class^=row-]) {
  padding: 0 !important;
}

.jstreetable-default table.tree-table tbody td:first-child {
  padding: 0 !important;
  text-transform: capitalize;
}

.jstreetable-default table.tree-table tbody td:not(:first-child),
.jstreetable-default table.tree-table tfoot th {
  text-align: right;
}

.jstreetable-default table.tree-table tbody td:first-child:has(span.text-left) {
  text-transform: uppercase;
  text-align: left;
}

.jstreetable-default table.tree-table tbody td:first-child span[class^=row-] {
  display: inline-block;
  padding: 3px 5px !important;
  text-align: left;
  text-transform: capitalize;
  display: flex;
  align-items: center;
  /* width: calc(100% - 24px); */
  /* background: rgba(238, 238, 238, 0.5); */
}

.jstreetable-default table.tree-table tbody td:first-child span[class^=row-1] {
  padding: 3px 5px !important;
  text-align: left;
  text-transform: uppercase;
  display: flex;
  align-items: center;
}

.jstreetable-default table.tree-table tbody td:first-child span.row-primary {
  display: inline-block;
  padding: 3px 0px !important;
  text-align: left;
  text-transform: uppercase;
  width: calc(100% - 24px);
  /* background: #6d6d6d; */
}

.jstreetable-default table.tree-table tbody td:first-child:has(span[data-level="0"]) {
  color: #000;
  font-weight: 700;
}

.jstreetable-default table.tree-table tbody tr:has(span.country) td, .jstreetable-default table.tree-table tbody tr[data-level="0"] td {
  border-top: 2px solid #d6d6d6;
}
.jstreetable-default table.tree-table tbody tr:first-child:has(span.country) td, .jstreetable-default table.tree-table tbody tr:first-child[data-level="0"] td {
  border-top: 0;
}
.jstreetable-default table.tree-table tbody tr span.last-of-parent[data-level="1"]:before {
  bottom: 50%;
}
.jstreetable-default table.tree-table tbody tr span.last-of-parent:not([data-level="1"]):before {
  bottom: unset;
}

.jstreetable-default table.tree-table tbody td:first-child span[class^=row-] > strong {
  font-weight: 500;
}

.jstreetable-default table.tree-table tbody td:first-child span.row-primary > strong {
  font-weight: bolder;
}

/* table.dataTable tbody th, table.dataTable tbody td {
        padding: 0 !important;
    } */
/* .jstreetable-default table.tree-table tfoot {
        border-top: 1px solid #333;
    } */
/* table.dataTable tfoot th,
    table.dataTable tfoot td {
        padding: 6px 5px !important;
    } */
.jstreetable-default .datatable-tools {
  display: none;
}

.jstreetable-default table.tree-table tr:last-child td {
  border-bottom: none;
}

.jstreetable-default table.tree-table tfoot th,
.jstreetable-default table.tree-table tfoot td {
  border-top: 1px solid #bababa;
  background-color: #fff;
}

/* TreeTable */
.jstreetable-default .jstreetable-icon {
  vertical-align: sub;
}

.jstreetable-default .jstree-node {
  margin-left: 0;
}

.jstreetable-default .jstreetable-leaf:before {
  /* position: absolute; */
  /* content: ""; */
  width: 1px;
  height: 36px;
  background: #d9d9d9;
  left: 50%;
  top: -27px;
  z-index: -1;
}

#select_checkbox_field {
  width: 150px;
}

.multiselect-dropdown {
  /* font-family: "Helvetica Neue", Helvetica, Arial, sans-serif; */
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  text-overflow: ellipsis;
  padding: 3px 12px;
  border: 1px solid #eee;
  border-radius: 2px;
  display: flex;
  flex-wrap: nowrap;
}

.multiselect-dropdown span.optext {
  background: transparent;
  display: flex;
  flex-wrap: nowrap;
}

.filter-section-container .multiselect-dropdown-list input {
  position: static;
  clip: unset;
  pointer-events: all;
}

.multiselect-dropdown span.placeholder {
  background: transparent;
  color: #444;
  opacity: 1;
}

.select2-container .select2-choice,
.select2-container .select2-choices,
.select2-container .select2-choices .select2-search-field input {
  font-family: inherit;
}

.jstreetable-default .btn-collapse {
  position: relative;
  padding-left: 10px;
  cursor: pointer;
}
.jstreetable-default .btn-collapse:before {
  position: absolute;
  content: "";
  top: 50%;
  transform: translateY(-50%);
  left: 0;
  width: 10px;
  height: 10px;
  background-image: url(../images/tree-iopen.png);
  background-repeat: no-repeat;
}
.jstreetable-default .btn-collapse.jstree-collapsed::before {
  background-image: url(../images/tree-iclose.png);
}

.jstreetable-default table.tree-table tbody td.jstree-last.brand-name {
  border-bottom: 1px solid #d6d6d6;
}

.jstreetable-default table.tree-table tbody td.jstree-iclose.brand-name {
  border-bottom: 1px solid #d6d6d6;
}

.jstreetable-default table.tree-table tbody td .tree-wrapper span.btn-toggle + span.content {
  padding: 5px 0px !important;
}